Skip to navigation

Get details of single user import request

View as Markdown

Returns the details of a single user import request.

Use this method to check the status of the request by looking at the status property of the response. Once the status becomes completed (or fails), use this method to get the details.

To get a list of all of the user import requests, use getBulkUserImportRequests.

Required authentication scopes: user_read.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID Guid
importIdstringRequiredformat: "uuid"
The import ID Guid for the request

Response

OK
idstringOptionalformat: "uuid"
typestringOptional
requestorobjectOptional
createddatetimeOptional
last_modifieddatetimeOptional
statusstringOptional
Status.
user_countintegerOptional
processed_user_countintegerOptional
added_user_countintegerOptional
updated_user_countintegerOptional
closed_user_countintegerOptional
no_action_required_user_countintegerOptional
error_countintegerOptional
warning_countintegerOptional
invalid_column_headersstringOptional
imports_not_found_or_not_available_for_accountsstringOptional
imports_failed_for_accountsstringOptional
imports_timed_out_for_accountsstringOptional
imports_not_found_or_not_available_for_sitesstringOptional
imports_failed_for_sitesstringOptional
imports_timed_out_for_sitesstringOptional
file_level_error_rollupslist of objectsOptional
user_level_error_rollupslist of objectsOptional
user_level_warning_rollupslist of objectsOptional
has_csv_resultsbooleanOptional
results_uristringOptional